org.eclipse.rdf4j.repository.sparql.federation

## Class CollectionIteration<E,X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.repository.sparql.federation.CollectionIteration<E,X>

- All Implemented Interfaces:
    AutoCloseable, CloseableIteration<E,X>, Iteration<E,X>
  Direct Known Subclasses:
    CollectionIteration

      public class CollectionIteration<E,X extends Exception>
      extends AbstractCloseableIteration<E,X>

  An iteration to access a materialized `Collection` of BindingSets.
  Author:
    Andreas Schwarte

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<E>` | `collection`
    `protected Iterator<E>` | `iterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionIteration(Collection<E> collection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Returns `true` if the iteration has more elements.
    `E` | `next()` Returns the next element in the iteration.
    `void` | `remove()` Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, handleClose, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Field Detail

    - #### collection

          protected final Collection<E> collection

    - #### iterator

          protected Iterator<E> iterator

  - ### Constructor Detail

    - #### CollectionIteration

          public CollectionIteration(Collection<E> collection)

      Parameters:
        `collection` -

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()
                          throws X extends Exception

      Description copied from interface: `Iteration`
      Returns `true` if the iteration has more elements. (In other words, returns `true` if `Iteration.next()` would return an element rather than throwing a `NoSuchElementException`.)
      Returns:
        `true` if the iteration has more elements.
      Throws:
        `X`
        `X extends Exception`

    - #### next

          public E next()
                 throws X extends Exception

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Returns:
        the next element in the iteration.
      Throws:
        `X extends Exception`

    - #### remove

          public void remove()
                      throws X extends Exception

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Throws:
        `X extends Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.